with GNATCOM.Dispinterface;

package MSHTML.IHTMLListElement2_Interface is

   type IHTMLListElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLListElement2_Type);

   function Pointer (This : IHTMLListElement2_Type)
     return Pointer_To_IHTMLListElement2;

   procedure Attach (This    : in out IHTMLListElement2_Type;
                     Pointer : in     Pointer_To_IHTMLListElement2);

   procedure Put_compact
     (This : IHTMLListElement2_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_compact
     (This : IHTMLListElement2_Type)
     return GNATCOM.Types.VARIANT_BOOL;

end MSHTML.IHTMLListElement2_Interface;

